org.apache.ignite.plugin

## Interface CachePluginContext<C extends CachePluginConfiguration>

All Known Implementing Classes:
  GridCachePluginContext

    public interface CachePluginContext<C extends CachePluginConfiguration>

Cache plugin context.

### Method Summary

All Methods Instance Methods Abstract Methods
`Ignite` `grid()`
`CacheConfiguration` `igniteCacheConfiguration()`
`IgniteConfiguration` `igniteConfiguration()`
`ClusterNode` `localNode()` Gets local grid node.
`IgniteLogger` `log(Class<?> cls)` Gets logger for given class.

### Method Detail

#### igniteConfiguration

    IgniteConfiguration igniteConfiguration()

Returns:
  Ignite configuration.

#### igniteCacheConfiguration

    CacheConfiguration igniteCacheConfiguration()

Returns:
  Ignite cache configuration.

#### grid

    Ignite grid()

Returns:
  Grid.

#### localNode

    ClusterNode localNode()

Gets local grid node. Instance of local node is provided by underlying `DiscoverySpi` implementation used.

Returns:
  Local grid node.
See Also:
  `DiscoverySpi`

#### log

    IgniteLogger log(Class<?> cls)

Gets logger for given class.

Parameters:
  `cls` - Class to get logger for.
Returns:
  Logger.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018